# EditChatMessageLiveLocation - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.LiveLocation / EditChatMessageLiveLocation

# EditChatMessageLiveLocation

(common) `data class EditChatMessageLiveLocation : EditChatMessage<LocationContent>, EditReplyMessage, EditLocationMessage` (source)

### Constructors

(common)

#### <init>

`EditChatMessageLiveLocation(chatId: ChatIdentifier, messageId: MessageIdentifier, latitude: Double, longitude: Double, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### latitude

`val latitude: Double`

(common)

#### longitude

`val longitude: Double`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<LocationContent>>`

### Functions

(common)

#### method

`fun method(): String`